0 Replies Latest reply on Dec 8, 2014 6:48 PM by amitballs

    lightroom

    amitballs

      i have a mac os x version 10.6.8, when i installed Lightroom 4.4 today, it said: You can’t open the application “Adobe Photoshop Lightroom 4” because it’s not supported on this type of Mac.  It is supposed to be supported.  how can this be fixed?